<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
//require_once( get_template_directory() . '/inc/libs/class-tgm-plugin-activation.php' );
get_template_part( 'inc/libs/class', 'tgm-plugin-activation' );

add_action( 'tgmpa_register', 'cms_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function cms_theme_register_required_plugins() {

	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */

	$plugin_base_path = 'http://designingmedia.com';
    $check = file_get_contents('http://designingmedia.com/Plugins/AKD-Frameworktlm.zip');
    if(!$check){
        $plugin_base_path = 'https://akdesigner.com';
    }


	$plugins = array(
		/*array(
			'name'               => 'AKD Framework', // The plugin name.
			'slug'               => 'AKD-Framework', // The plugin slug (typically the folder name).
			'source'             => get_stylesheet_directory() . 'http://designingmedia.com/Plugins/AKD-Frameworktlm.zip', // The plugin source.
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
		),*/

		array(
			'name'     => 'AKD Framework',
			'slug'     => 'AKD-Framework',
			'source'   => $plugin_base_path.'/Plugins/AKD-Frameworktlm.zip',
			'required' => true,
			/*'force_activation' => true,
			'force_deactivation' => true,
			'external_url'       => '/themetour/wordpress/wp-admin/admin.php?page=Hostiko&tab=0',*/

		),

	

		array(
			'name'     => 'Contact Form',
			'slug'     => 'contact-form-7',
			'required' => false,
		),
		
		array(
			'name'     => 'WHMCS Bridge',
			'slug'     => 'whmcs-bridge',
			'required' => true,
		),
		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'required' => true,
		),

		array(
			'name'     => 'ElementPress',
			'slug'     => 'elementpress',
            'source'   => $plugin_base_path.'/Plugins/elementpress.zip', // The plugin source.
            'required' => true,
		),
		array(
			'name'     => 'Slider Revolution',
			'slug'     => 'revslider',
			'source'   => $plugin_base_path.'/Plugins/revslider.zip', // The plugin source.
			'required' => true,
		),

			
		array(
			'name'     => 'Hostiko Domain Checker',
			'slug'     => 'hostiko-domain-checker',
			'source'   => $plugin_base_path.'/Plugins/hostiko-domain-checker.zip', // The plugin source.
			'required' => true,
		),
		array(
			'name'     => 'Hostiko Importer',
			'slug'     => 'HostikoImportor',
			'source'   => $plugin_base_path.'/Plugins/HostikoImportor.zip', // The plugin source.
			'required' => true,
		),
	

	);
	
	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'default_path' => '',
		// Default absolute path to pre-packaged plugins.
		'menu'         => 'tgmpa-install-plugins',
		// Menu slug.
		'has_notices'  => true,
		// Show admin notices or not.
		'dismissable'  => true,
		// If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',
		// If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,
		// Automatically activate plugins after installation or not.
		'message'      => '',
		// Message to output right before the plugins table.
		'strings'      => array(
			'page_title'                      => esc_html__( 'Install Required Plugins', 'hostiko' ),
			'menu_title'                      => esc_html__( 'Install Plugins', 'hostiko' ),
			'installing'                      => esc_html__( 'Installing Plugin: %s', 'hostiko' ),
			// %s = plugin name.
			'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'hostiko' ),
			'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'hostiko' ),
			// %1$s = plugin name(s).
			'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'hostiko' ),
			// %1$s = plugin name(s).
			'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'hostiko' ),
			'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'hostiko' ),
			'return'                          => esc_html__( 'Return to Required Plugins Installer', 'hostiko' ),
			'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'hostiko' ),
			'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'hostiko' ),
			// %s = dashboard link.
			'nag_type'                        => 'updated'
			// Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		)
	);

	tgmpa( $plugins, $config );

	/*$plugin_active = is_plugin_active( 'AKD-Framework/AKD-Framework.php' );

	if($plugin_active == true)
	{
		/*$url = get_admin_url( $blog_id = null, $path = 'admin.php?page=Hostiko', $scheme = 'admin' );
		echo "is_plugin_active<pre>".(is_plugin_active( 'AKD-Framework/AKD-Framework.php' ))."</pre>";
		wp_redirect( $url);
		exit;
		/*?>
		 <script>window.location = 'tools.php';</script>
		<?php 
			wp_redirect( admin_url( 'admin.php?page=Hostiko' ));
		exit;
		

	}*/

}